function __addLoadEvent(func) {
    Event.observe(window, "load", func);
}
function __addUnLoadEvent(func) {
    Event.observe(window, "unload", func);
}

function __initGmapdiv(mapVar, clid, warningMessage, options) {
    var mapdiv = document.getElementById(clid);
    window[mapVar] = new google.maps.Map(mapdiv, options);
    mapdiv.map = window[mapVar];
}

function __applyGmapparam(mapVar, enableInfoWindow) {
    if (!enableInfoWindow) { // v3
        window[mapVar].setOptions({styles: [


            {
                featureType: "poi.business",
                elementType: "labels",
                stylers: [
                    { visibility: "off" }
                ]
            }
        ]});
    }
}

function __v3mapType(mapType) {
    // v2: G_NORMAL_MAP, G_SATELLITE_MAP, G_HYBRID_MAP v3: HYBRID, ROADMAP, SATELITE, TERRAIN
    var v3mapType;
    switch (mapType) {
        case 'HYBRID':
        case 'ROADMAP':
        case 'SATELITE':
        case 'TERRAIN':
            v3mapType = google.maps.MapTypeId[mapType];
            break;
        case 'G_NORMAL_MAP':
            v3mapType = google.maps.MapTypeId.ROADMAP;
            break;
        case 'G_SATELLITE_MAP':
            v3mapType = google.maps.MapTypeId.SATELLITE;
            break;
        case 'G_HYBRID_MAP':
            v3mapType = google.maps.MapTypeId.HYBRID;
            break;
        default:
            v3mapType = google.maps.MapTypeId.SATELITE;
    }
    return v3mapType;
}